
# BaseModel::update 

### Usage

> void BaseModel::update(array $values, [ string $where_sql = '' ], [ ... $args ])

### Description

> Update multiple records within the database table assigned to the model class.

### Parameters

Parameter | Required | Type | Description
------------- |------------- |------------- |------------- 
values | Yes | array |
where_sql | No | string |
args | No | ... |

### Return
> void 
### See Also

* [all()](all)
* [count()](count)
* [delete()](delete)
* [deleteMany()](deletemany)
* [getChildren()](getchildren)
* [insert()](insert)
* [insertFromForm()](insertfromform)
* [insertOrUpdate()](insertorupdate)
* [purge()](purge)
* [save()](save)
* [toArray()](toarray)
* [toFormattedArray()](toformattedarray)
* [where()](where)
* [whereFirst()](wherefirst)
* [whereId()](whereid)


